# -*- coding: utf-8 -*-
from dspawpy.diffusion.nebtools import summary

# 导入neb计算目录，需提供neb计算完成后的完整文件夹
summary(
    directory="dspawpy_proj/dspawpy_tests/inputs/2.15",
    show_converge=False,  # 是否显示能量和受力收敛过程图
    outdir="dspawpy_proj/dspawpy_tests/outputs/us/8neb",  # 能量和受力收敛过程图保存路径
    figname="dspawpy_proj/dspawpy_tests/outputs/us/8neb/neb_barrier_summary.png",  # 能垒图保存路径
)
# 可以进一步设置其他关键字参数，用于绘制能垒图，例如：
# summary(directory = 'dspawpy_proj/dspawpy_tests/inputs/2.15', method='CubicSpline') # 改为三次样条插值CubicSpline
